import java.util.*;

public class EqIdlis
{
	static Scanner sc = new Scanner(System.in);
	static class Person implements Comparable<Person>
	{
		int index, value;
		public Person(int i, int v) { index = i; value = v; }
		public int compareTo(Person p)
		{
			return p.value != value ? value - p.value : index - p.index;
		}
	}
	
	public static void main(String[] args)
	{
		for(int testCases = sc.nextInt();testCases > 0;testCases--)
		{
			int n = sc.nextInt();
			SortedSet<Person> persons = new TreeSet<Person>();
			int sum = 0;
			for(int i=0;i<n;i++)
			{
				int value = sc.nextInt();
				sum +=  value;
				persons.add(new Person(i, value));
			}
			if(sum % n != 0)
			{
				System.out.println("-1");
				continue;
			}
			int res = 0;
			while(persons.first().value != persons.last().value)
			{
				res++;
				Person first = persons.first();
				Person last = persons.last();
				persons.remove(first);
				persons.remove(last);
				int diff = (last.value - first.value + 1)/2;
				first.value += diff;
				last.value -= diff;
				persons.add(first);
				persons.add(last);
			}
			System.out.println(res);
		}
	}
}
